export interface WeComPlan {
	cover: string;
	createTimestamp: number;
	id: number;
	pageUrl: string;
	scene: number;
	title: string;
	type: number;
	video: string;
}

export interface WeComPlanListResponse {
	objs: WeComPlan[];
	totalSize: number;
}

export enum WeComPlanType {
	自动回复 = '1',
	社群 = '0',
}

export enum VideoSearchPlanType {
	自动回复 = 0,
	服务号推送 = 1,
	企微社群 = 2,
	企微自动回复 = 3,
}

export interface WeVideoItem {
	videoId: number;
	video: string;
	title: string;
	cover: string;
	score: number,
	scene?: 0 | 1;
	industryFissionRate?: number;
	channelFissionRate?: number;
}

export interface AddWeComPlanParam {
	type: string;
	subChannel: string;
	videoList: WeVideoItem[];
}
